%define majver %(echo %version | cut -d. -f1-2)
Name:          libguestfs
Version:       1.52.0
Release:       1mamba
Summary:       Tools and a library for accessing and modifying guest disk images
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://libguestfs.org/
Source:        http://libguestfs.org/download/%{majver}-stable/libguestfs-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libconfig-devel
BuildRequires: libfuse-devel
BuildRequires: libglib-devel
BuildRequires: libjansson-devel
BuildRequires: libncurses-devel
BuildRequires: libpcre2-devel
BuildRequires: libpython311-devel
BuildRequires: libreadline-devel
BuildRequires: libruby-devel
BuildRequires: libselinux-devel
BuildRequires: libtirpc-devel
BuildRequires: libvirt-devel
BuildRequires: libxml2-devel
BuildRequires: ocaml-runtime
BuildRequires: perl-devel
## AUTOBUILDREQ-END
#BuildRequires: supermin
BuildRequires: qemu
BuildRequires: libaugeas-devel
BuildRequires: libhivex-devel
BuildRequires: ocaml-hivex-devel
BuildRequires: ocaml-augeas-devel
Obsoletes:     libguestfs-apidocs < 1.52.0

%description
Libguestfs is tools and a library for accessing and modifying guest disk images.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config
Requires:      perl-Guestfs = %{?epoch:%epoch:}%{version}-%{release}
Requires:      lua-guestfs = %{?epoch:%epoch:}%{version}-%{release}
Requires:      python-guestfs = %{?epoch:%epoch:}%{version}-%{release}
Requires:      ruby-guestfs = %{?epoch:%epoch:}%{version}-%{release}
Requires:      php-guestfs = %{?epoch:%epoch:}%{version}-%{release}
Requires:      ocaml-libguestfs = %{?epoch:%epoch:}%{version}-%{release}
Requires:      java-libguestfs = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         System/Tools
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%package -n perl-Guestfs
Group:         Development/Bindings
Summary:       Perl bindings to %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      perl

%description -n perl-Guestfs
Libguestfs is tools and a library for accessing and modifying guest disk images.
This package includes the Perl bindings to %{name}.

%package -n lua-guestfs
Group:         Development/Bindings
Summary:       Lua bindings to %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lua-guestfs
Libguestfs is tools and a library for accessing and modifying guest disk images.
This package includes the Lua bindings to %{name}.

%package -n python-guestfs
Group:         Development/Bindings
Summary:       Python bindings to %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-guestfs
Libguestfs is tools and a library for accessing and modifying guest disk images.
This package includes the Python bindings to %{name}.

%package -n ruby-guestfs
Group:         Development/Bindings
Summary:       Ruby bindings to %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n ruby-guestfs
Libguestfs is tools and a library for accessing and modifying guest disk images.
This package includes the Ruby bindings to %{name}.

%package -n php-guestfs
Group:         Development/Bindings
Summary:       PHP bindings to %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      php

%description -n php-guestfs
Libguestfs is tools and a library for accessing and modifying guest disk images.
This package includes the PHP bindings to %{name}.

%package -n ocaml-libguestfs
Group:         Development/Bindings
Summary:       Ocaml bindings to %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      ocaml

%description -n ocaml-libguestfs
Libguestfs is tools and a library for accessing and modifying guest disk images.
This package includes the Ocaml bindings to %{name}.

%package -n java-libguestfs
Group:         Development/Bindings
Summary:       Java bindings to %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n java-libguestfs
Libguestfs is tools and a library for accessing and modifying guest disk images.
This package includes the Java bindings to %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
# TODO: patch supermin with openmamba support to enable appliance build
%configure \
   --enable-gtk-doc \
   --disable-appliance \
   --with-distro="REDHAT"

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -f %{buildroot}%{_prefix}/lib/perl5/*/*/perllocal.pod

%find_lang %{name} --with-man --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libguestfs-gobject-1.0.so.*
%{_libdir}/libguestfs.so.*
%{_libdir}/girepository-1.0/Guestfs-1.0.typelib
%doc AUTHORS COPYING COPYING.LIB

%files devel
%defattr(-,root,root)
%{_includedir}/guestfs-gobject.h
%dir %{_includedir}/guestfs-gobject
%{_includedir}/guestfs-gobject/*
%{_includedir}/guestfs.h
%{_libdir}/libguestfs-gobject-1.0.a
%{_libdir}/libguestfs-gobject-1.0.so
%{_libdir}/libguestfs.a
%{_libdir}/libguestfs.so
%{_libdir}/libguestfs_jni.so
%{_datadir}/gir-1.0/Guestfs-1.0.gir
%{_datadir}/vala/vapi/libguestfs-gobject-1.0.*
%{_libdir}/pkgconfig/libguestfs-gobject-1.0.pc
%{_libdir}/pkgconfig/libguestfs.pc
%{_mandir}/man3/Sys::Guestfs.3pm*
%{_mandir}/man3/guestfs-*.3*
%{_mandir}/man3/guestfs.3*
%{_mandir}/man3/libguestfs.3*
%doc README TODO

%files -n perl-Guestfs
%defattr(-,root,root)
%{perl_sitearch}/Sys/Guestfs.pm
%dir %{perl_sitearch}/auto/Sys/Guestfs
%{perl_sitearch}/auto/Sys/Guestfs/*

%files -n lua-guestfs
%defattr(-,root,root)
%{_libdir}/lua/*/guestfs.so

%files -n python-guestfs
%defattr(-,root,root)
%{python3_sitearch}/guestfs.py
%{python3_sitearch}/libguestfsmod.cpython-*.so

%files -n ruby-guestfs
%defattr(-,root,root)
%{ruby_sitelib}/guestfs.rb
%{ruby_sitelib}/*-linux/_guestfs.so

%files -n ocaml-libguestfs
%defattr(-,root,root)
%dir %{_libdir}/ocaml/guestfs
%{_libdir}/ocaml/guestfs/*
%{_libdir}/ocaml/stublibs/dllmlguestfs.so
%{_libdir}/ocaml/stublibs/dllmlguestfs.so.owner

%files -n php-guestfs
%defattr(-,root,root)
%{_libdir}/php/extensions/guestfs_php.so

%files -n java-libguestfs
%defattr(-,root,root)
%{_libdir}/libguestfs_jni.so.*
%{_datadir}/java/libguestfs-%{version}.jar
%dir %{_datadir}/javadoc/libguestfs
%{_datadir}/javadoc/libguestfs/*

%files tools -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/libguestfs-tools.conf
%{_sysconfdir}/php.d/guestfs_php.ini
%{_bindir}/guestfish
%{_bindir}/guestmount
%{_bindir}/guestunmount
%{_bindir}/libguestfs-test-tool
%{_bindir}/virt-*
%{_datadir}/bash-completion/completions/*
%{_mandir}/man1/guestfish.1*
%{_mandir}/man1/guestfs-*.1*
%{_mandir}/man1/guestmount.1*
%{_mandir}/man1/guestunmount.1*
%{_mandir}/man1/virt-*.1*
%{_mandir}/man1/libguestfs-test-tool.1*
%{_mandir}/man5/libguestfs-tools.conf.5*

#%files apidocs
#%defattr(-,root,root)
#%dir %{_datadir}/gtk-doc/html/guestfs
#%{_datadir}/gtk-doc/html/guestfs/*
#%dir %{_datadir}/doc/libguestfs
#%{_datadir}/doc/libguestfs/*

%changelog
* Mon Feb 05 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.52.0-1mamba
- update to 1.52.0

* Thu Oct 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.26.9-1mamba
- update to 1.26.9

* Thu Jul 17 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.26.5-1mamba
- package created using the webbuild interface
